Crystal Space: iMovieRecorder Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iMovieRecorder Struct Reference

Using this interface you can communicate with the MovieRecorder plugin. More...

`#include <ivaria/movierecorder.h>`

Inheritance diagram for iMovieRecorder:

[legend]
List of all members.

## Public Member Functions
virtual bool | IsPaused (void) const =0
| Is the recording paused?
virtual bool | IsRecording (void) const =0
| Are we recording?
virtual void | Pause (void)=0
| Pause an in-progress recording.
virtual void | Start (void)=0
| Start recording using the settings in the configuration system.
virtual void | Stop (void)=0
| Stop recording if a recording is in progress.
virtual void | UnPause (void)=0
| Resume an in-progress recording.

## Detailed Description

Using this interface you can communicate with the MovieRecorder plugin.

This allows changing or disabling the hotkey bindings, changing the video parameters, and programmatically starting and stopping the recorder.

Remarks:
  The plugin is GPL, not LGPL.

Definition at line 41 of file movierecorder.h.

## Member Function Documentation

virtual bool iMovieRecorder::IsPaused | ( | void |  | ) | const`[pure virtual]`

Is the recording paused?

virtual bool iMovieRecorder::IsRecording | ( | void |  | ) | const`[pure virtual]`

Are we recording?

virtual void iMovieRecorder::Pause | ( | void |  | ) | `[pure virtual]`

Pause an in-progress recording.

virtual void iMovieRecorder::Start | ( | void |  | ) | `[pure virtual]`

Start recording using the settings in the configuration system.

virtual void iMovieRecorder::Stop | ( | void |  | ) | `[pure virtual]`

Stop recording if a recording is in progress.

virtual void iMovieRecorder::UnPause | ( | void |  | ) | `[pure virtual]`

Resume an in-progress recording.

The documentation for this struct was generated from the following file:

- ivaria/movierecorder.h